//-----------------------------------------------------------------------------
// Copyright (c) 2013 GarageGames, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//-----------------------------------------------------------------------------

//The following scripts describe the basic physics properties for the 3TD Studios PhysX Office
//Starter Pack. In the lines below I will try to outline what each value mean and how you
//can adjust the scripts to match the behavior you would like.
//

datablock PhysicsShapeData( OfficeCabinet_01_PhysX)
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeCabinet_01/OfficeCabinet_01.dae";
   friction = "1";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OfficeDesk_01_PhysX)
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeDesk_01/OfficeDesk_01.dae";
   friction = "1";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OfficeDesk_02_PhysX)
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeDesk_02/OfficeDesk_02.dae";
   friction = "1";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OfficeDivider_01_PhysX)
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeDivider_01/OfficeDivider_01.dae";
   friction = "1";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OfficeDivider_02_PhysX )
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeDivider_02/OfficeDivider_02.dae";
   friction = "1";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OfficeDrawers_Tall_PhysX )
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeDrawers_Tall/OfficeDrawersTall.dae";
   friction = "1";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OfficeDrawersShort_PhysX )
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeDrawersShort/OfficeDrawersShort.dae";
   friction = "05";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OfficeFileCabinet_01_PhysX )
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeFileCabinet_01/OfficeFileCabinet_01.dae";
   friction = "05";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OfficeStorage_01_PhysX )
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OfficeStorage_01/OfficeStorage_01.dae";
   friction = "05";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};

datablock PhysicsShapeData( OldOfficeDesk_01_PhysX )
{	
   category = "3TD_PhysX_OfficePack_01";
   shapeName = "art/shapes/3TD_OfficePack_01/OldOfficeDesk_01/OldOfficeDesk_01.dae";
   friction = "1";
   staticFriction = "2";
   restitution = "0.5";
   mass = "0.9";
   waterDampingScale = "1.25";
   linearDamping = "1";
   angularDamping ="1";
   buoyancyDensity = ".82";
};